using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("安全员签名")]
    public class T_FO_FIRE_JOB_WB_SAFE_USER : MesEntityBase
    {
        [Description("动火作业")]
        [DataFieldForeignKey("Nav_Job", "Nav_SafeUser")]
        public Guid FIRE_JOB_WB_ID { get; set; }

        [Description("导航属性：动火作业")]
        public virtual T_FO_FIRE_JOB_WB Nav_Job { get; set; }
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
